Subject: Re: [xdp-hints] [PATCH bpf-next 00/11] xdp: hints via kfuncs

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Tue, 15 Nov 2022 16:54:45 +0100

Stanislav Fomichev <[email-masked]> writes:

> - drop __randomize_layout
>
>   Not sure it's possible to sanely expose it via UAPI. Because every
>   .o potentially gets its own randomized layout, test_progs
>   refuses to link.

So this won't work if the struct is in a kernel-supplied UAPI header
(which would include the __randomize_layout tag). But if it's *not* in a
UAPI header it should still be included in a stable form (i.e., without
the randomize tag) in vmlinux.h, right? Which would be the point:
consumers would be forced to read it from there and do CO-RE on it...

-Toke